## ALTER PASSWORD Statement

The ALTER PASSWORD statement (alter_password_statement) is required to alter a user's password.

### Syntax

<alter_password_statement> ::= ALTER PASSWORD <old_password> TO <new_password>
| ALTER PASSWORD <user_name> <new_password>

<old_password> ::= <password>
<new_password> ::= <password>

### Examples

SQL Tutorial, Database Users and Their Privileges

### Explanation

You change the password for the current user using ALTER PASSWORD <old_password> TO <new_password>. The old password must be the same as the password stored in the database catalog for the current user.

If you want to change a password for a user using the user_name , the current user must be the database system administrator (SYSDBA).

The new password must be specified in the CONNECT statement when the user next opens a database session.